Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 352544 - [gnome-overlay] gnome-base/gnome-shell RDEPENDs on gconf-python
Summary: [gnome-overlay] gnome-base/gnome-shell RDEPENDs on gconf-python
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gnome3
  Show dependency tree
 
Reported: 2011-01-23 21:09 UTC by yumiko
Modified: 2012-02-12 14:11 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description yumiko 2011-01-23 21:09:28 UTC
Gnome Shell's (python) init script imports gconf module in restore_gnome().

Reproducible: Always

Steps to Reproduce:




gnome-shell:
554                                                                             
555 def restore_gnome():
556     # Do imports lazily to save time and memory
557     import gio
558     import gconf
559 

Shell killed with signal 11
Traceback (most recent call last):

  File "/usr/bin/gnome-shell", line 776, in <module>
    restore_gnome()
  File "/usr/bin/gnome-shell", line 558, in restore_gnome
    import gconf
ImportError: No module named gconf
Comment 1 Nirbheek Chauhan (RETIRED) gentoo-dev 2011-02-12 10:24:40 UTC
This is now fixed, thanks for reporting!